# Ogre::FBConfigData Class Reference

Class that acquires and stores properties of a frame buffer configuration. More...

`#include <OgreGLXUtils.h>`

List of all members.

## Public Member Functions

| FBConfigData ()
| FBConfigData (Display *dpy, GLXFBConfig config)
String | toString () const

## Public Attributes

int | configID
int | visualID
int | bufferSize
int | level
int | doubleBuffer
int | stereo
int | auxBuffers
int | renderType
int | redSize
int | greenSize
int | blueSize
int | alphaSize
int | depthSize
int | stencilSize
int | accumRedSize
int | accumGreenSize
int | accumBlueSize
int | accumAlphaSize
int | drawableType
int | caveat
int | maxPBufferWidth
int | maxPBufferHeight
int | maxPBufferPixels

## Detailed Description

Class that acquires and stores properties of a frame buffer configuration.

Definition at line 36 of file OgreGLXUtils.h.

## Constructor & Destructor Documentation

Ogre::FBConfigData::FBConfigData | ( |  | ) |

Ogre::FBConfigData::FBConfigData | ( | Display * | dpy,
|  | GLXFBConfig | config
| ) |

## Member Function Documentation

String Ogre::FBConfigData::toString | ( |  | ) | const

## Member Data Documentation

int Ogre::FBConfigData::accumAlphaSize

| Definition at line 60 of file OgreGLXUtils.h.

int Ogre::FBConfigData::accumBlueSize

| Definition at line 59 of file OgreGLXUtils.h.

int Ogre::FBConfigData::accumGreenSize

| Definition at line 58 of file OgreGLXUtils.h.

int Ogre::FBConfigData::accumRedSize

| Definition at line 57 of file OgreGLXUtils.h.

int Ogre::FBConfigData::alphaSize

| Definition at line 54 of file OgreGLXUtils.h.

int Ogre::FBConfigData::auxBuffers

| Definition at line 49 of file OgreGLXUtils.h.

int Ogre::FBConfigData::blueSize

| Definition at line 53 of file OgreGLXUtils.h.

int Ogre::FBConfigData::bufferSize

| Definition at line 45 of file OgreGLXUtils.h.

int Ogre::FBConfigData::caveat

| Definition at line 62 of file OgreGLXUtils.h.

int Ogre::FBConfigData::configID

| Definition at line 43 of file OgreGLXUtils.h.

int Ogre::FBConfigData::depthSize

| Definition at line 55 of file OgreGLXUtils.h.

int Ogre::FBConfigData::doubleBuffer

| Definition at line 47 of file OgreGLXUtils.h.

int Ogre::FBConfigData::drawableType

| Definition at line 61 of file OgreGLXUtils.h.

int Ogre::FBConfigData::greenSize

| Definition at line 52 of file OgreGLXUtils.h.

int Ogre::FBConfigData::level

| Definition at line 46 of file OgreGLXUtils.h.

int Ogre::FBConfigData::maxPBufferHeight

| Definition at line 64 of file OgreGLXUtils.h.

int Ogre::FBConfigData::maxPBufferPixels

| Definition at line 65 of file OgreGLXUtils.h.

int Ogre::FBConfigData::maxPBufferWidth

| Definition at line 63 of file OgreGLXUtils.h.

int Ogre::FBConfigData::redSize

| Definition at line 51 of file OgreGLXUtils.h.

int Ogre::FBConfigData::renderType

| Definition at line 50 of file OgreGLXUtils.h.

int Ogre::FBConfigData::stencilSize

| Definition at line 56 of file OgreGLXUtils.h.

int Ogre::FBConfigData::stereo

| Definition at line 48 of file OgreGLXUtils.h.

int Ogre::FBConfigData::visualID

| Definition at line 44 of file OgreGLXUtils.h.

The documentation for this class was generated from the following file:

- OgreGLXUtils.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:45:52 2005